## org.jfree.chart.urls
Class StandardPieURLGenerator

    java.lang.Object
      org.jfree.chart.urls.StandardPieURLGenerator

All Implemented Interfaces:
  PieURLGenerator, java.io.Serializable

public class StandardPieURLGenerator
extends java.lang.Object
implements PieURLGenerator, java.io.Serializable

A URL generator for pie charts.

Author:
  Richard Atkinson
See Also:
  Serialized Form

Constructor Summary
`StandardPieURLGenerator()` Default constructor.
`StandardPieURLGenerator(java.lang.String prefix)` Creates a new generator.
`StandardPieURLGenerator(java.lang.String prefix, java.lang.String categoryParameterName)` Creates a new generator.
`StandardPieURLGenerator(java.lang.String prefix, java.lang.String categoryParameterName, java.lang.String indexParameterName)` Creates a new generator.

Method Summary
`boolean` `equals(java.lang.Object o)` Tests if this object is equal to another.
`java.lang.String` `generateURL(PieDataset data, java.lang.Comparable key, int pieIndex)` Generates a URL.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardPieURLGenerator

    public StandardPieURLGenerator()

  Default constructor.

### StandardPieURLGenerator

    public StandardPieURLGenerator(java.lang.String prefix)

  Creates a new generator.

Parameters:
  `prefix` - the prefix.

### StandardPieURLGenerator

    public StandardPieURLGenerator(java.lang.String prefix,
                                   java.lang.String categoryParameterName)

  Creates a new generator.

Parameters:
  `prefix` - the prefix.
  `categoryParameterName` - the category parameter name.

### StandardPieURLGenerator

    public StandardPieURLGenerator(java.lang.String prefix,
                                   java.lang.String categoryParameterName,
                                   java.lang.String indexParameterName)

  Creates a new generator.

Parameters:
  `prefix` - the prefix.
  `categoryParameterName` - the category parameter name.
  `indexParameterName` - the index parameter name (`null` permitted).

Method Detail

### generateURL

    public java.lang.String generateURL(PieDataset data,
                                        java.lang.Comparable key,
                                        int pieIndex)

  Generates a URL.

  Specified by:
    `generateURL` in interface `PieURLGenerator`
  Parameters:
    `data` - the dataset.
    `key` - the item key.
    `pieIndex` - the pie index (ignored).
  Returns:
    a string containing the generated URL.

### equals

    public boolean equals(java.lang.Object o)

  Tests if this object is equal to another.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.